dcraw(1)

NAZWA
dcraw - dekoder obrazów w formacie raw

SKŁADNIA
dcraw [OPCJE]... [PLIK]...

OPIS
dcraw dekoduje obrazy w formacie raw, wyświetla metadane oraz wyodrębnia miniaturki.

OPCJE PODSTAWOWE

-v  Wyświetl szczegółowe informacje, a nie tylko błędy i ostrzeżenia.

-c  Zapisz zdekodowany obraz lub miniaturę na standardowe wyjście.

-e  Wyodrębnij wygenerowaną przez aparat miniaturkę, a nie obraz raw. Wynikowy obraz będzie w formacie JPEG lub PPM, w zależności od modelu aparatu.

-z  Zmień daty modyfikacji i ostatniego dostępu plików AVI, JPEG, TIFF lub raw na datę wykonania obrazu przy założeniu, że zegar aparatu jest ustawiony na Czas Uniwersalny (UTC).

-i  Tylko zidentyfikuj pliki, nie dekoduj zawartości. Zwraca wartość 0 jeżeli dcraw jest w stanie zdekodować ostatni obraz. W innym przypadku zwracana jest wartość 1. -i -v pokazuje metadane obrazka.

    dcraw nie dekoduje obrazów w formacie JPEG!!

OPCJE NAPRAWY OBRAZU

-P martwepiksele.txt
    Wczytuje listę martwych pikseli z tego pliku zamiast z ".badpixels". Zobacz w PLIKI opis składni tego pliku.

-K czarna_klatka.pgm
    Odejmuje czarna klatkę od danych raw. Czarna klatkę wygenerujesz robiąc zdjecie bez oswietlenia (np.: z obiektywem zasłoniętym dekielkiem), które wywołaj następująco dcraw -D -4 -j -t 0.

-k odciecie_czerni
    Kiedy po wywołaniu cienie stają się szare, należy podnieść poziom odcięcia czerni. Zmierzyć można poprzez użycie pamsumm -mean z plikiem czarnej klatki, przygotowanym jak powyżej.

-S nasycenie
    Kiedy światła przechodzą w kolor różowy, należy obniżyć poziom nasycenia. Żeby ustalic właściwy poziom, należy zrobić zdjęcie z czymś lśniącym w kadrze, a następnie dcraw -D -4 -j -c fotka.raw | pamsumm -max

    Domyślny poziom czerni, jak i nasycenia jest zazwyczaj poprawny i nie wymaga ingerencji.

-n poziom_redukcji
    Użyj falkowej redukcji szumów, pozostawiając jak najwięcej detali. Najlepszy efekt dają wartości poziomu z przedziału między 100 a 1000.

-C wzm_czerw wzm_nieb
    Zwiększ warstwy koloru czerwonego i niebieskiego o podane współczynniki (zazwyczaj od 0.999 do 1.001) aby zniwelować aberrację chromatyczną.

-H 0
    Przytnij wszystkie światła do koloru białego (domyślne).

-H 1
    Nie przycinaj świateł (pozostaw w różnych odcieniach różu).

-H 2
    Połącz przycięte i nieprzycięte wartości ze sobą aby uzyskać wygładzone przejście do bieli.

-H 3+
    Rekonstruuj światła. Niskie wartości preferują biel, wyższe preferują kolory. Spróbuj użyć -H 5 jako dobrego kompromisu. Gdyby to okazało się niewystarczające, użyj opcji -H 9, wyczyść wszystkie inne niż białe światła, a następnie wklej je do obrazka wygenerowanego przy użyciu -H 3.

OPCJE KOLORÓW
Domyślnie dcraw używa stałego balansu bieli w oparciu o próbnik kolorów naświetlony standardową lampą błyskową D65.

-w  Użyj wartości balansu bieli zapisanej przez aparat. Jeżeli wartość ta nie zostanie odnaleziona, zostanie wyświetlone ostrzeżenie i użyta będzie inna metoda jego określenia.

-a  Oblicz balans bieli na podstawie średniej z zawartości całego obrazu.

-A lewo góra szerokość wysokość
    Oblicz balans bieli na podstawie średniej z zawartości wybranego szarego obszaru prostokątnego (np. zdjęcie z szarą kartą). Przedtem wykonaj dcraw -j -t 0 , a następnie wybierz obszar o neutralnym, szarym kolorze.

-r mul0 mul1 mul2 mul3
    Podaj własne wartości balansu bieli. Te wartości mogą również zostać skopiowane z rezultatu działania polecenia dcraw -v.

+M lub -M
    Używaj (lub nie używaj) jakichkolwiek macierzy kolorów z metadanych aparatu. Domyślna wartość to +M gdy użyto opcji -w, lub -M w przeciwnym wypadku. Ta opcja dotyczy jedynie aparatów Olympus, Leaf oraz Phase One.

-o [0-6]
    Wybierz wynikową przestrzeń kolorów, w przypadku gdy nie użyto parametru -p : 0 Surowy kolor (specyficzny dla każdego aparatu)
    1 sRGB D65 (domyślna)
    2 Adobe RGB (1998) D65
    3 Wide Gamut RGB D65
    4 Kodak ProPhoto RGB D65
    5 XYZ
    6 ACES

-p aparat.icm [ -o rezultat.icm ]
    Użyj profilów kolorów ICC do obliczenia surowej przestrzeni kolorów aparatu oraz wynikowej przestrzeni kolorów (domyślnie sRGB).

-p embed
    Użyj profilu ICC osadzonego wewnątrz obrazu w formacie raw.

OPCJE INTERPOLACJI

-d  Zdekoduj obraz raw w skali szarości, bez interpolacji kolorów. Przydatne przy fotografowaniu czarno-białego tekstu.

-D  Tak samo jak -d, lecz bez skalowania kolorów (całkowicie surowy obraz).

-h  Generuj obraz o wymiarach równych połowie oryginału. Działa dwa razy szybciej niż -q 0.

-q 0
    Użyj szybkiej, lecz niskiej jakości interpolacji dwuliniowej.

-q 1
    Użyj interpolacji VNG (Variable Number of Gradients).

-q 2
    Użyj interpolacji PPG (Patterned Pixel Grouping).

-q 3
    Użyj interpolacji AHD (Adaptive Homogeneity-Directed, najwyższa jakość).

-f  Interpoluj RGB jako cztery kolory. Użyj tej opcji, jeżeli na wynikowym obrazie widać niewłaściwe obszary 2x2 (interpolacja VNG) lub mazy (AHD).

-m liczba_przebiegów
    Po dokonaniu interpolacji usuń zniekształcenia kolorystyczne poprzez wielokrotne zastosowanie filtra medianowego (3x3 piksele) do wartości R-G oraz B-G (różnic składowych).

OPCJE FORMATU WYJŚCIOWEGO
Domyślnie dcraw zapisuje obrazy PGM/PPM/PAM wykorzystując 8 bitów na składową koloru, krzywą gamma BT 709, poziom bieli oparty o histogram oraz bez metadanych.

-W  Użyj stałego poziomu bieli, ignorując histogram obrazka.

-b jasnosc
    Podziel poziom bieli przez tą wartość (domyślnie 1.0).

-g potęga początkowego_nachylenia
    Ustaw krzywą gamma, domyślne BT.709 (-g 2.222 4.5). Jeżeli wolisz współczynnik gamma zgodny z sRGB, użyj -g 2.4 12.92. Dla zwykłej funkji potęgowej, ustaw nachylenie początkowe na zero.

-6  Zapisuje 16-bitów na próbkę, zamiast 8-bitów.

-4  Liniowy zapis 16-bitowy, tak samo jak -6 -W -g 1 1.

-T  Generuj obraz wynikowy w formacie TIFF z metadanymi zamiast domyślnego formatu PGM/PPM/PAM.

-t [0-7,90,180,270]
    Obróć wynikowy obraz. Domyślnie dcraw obraca obraz stosownie do informacji zapisanej przez aparat. -t 0 wyłącza obracanie.

-j  W przypadku aparatów Fuji Super CCD obróć obraz o 45 stopni. Dla aparatów o innym niż kwadratowy kształcie piksela nie skaluj obrazu do jego właściwych proporcji. W każdym przypadku użycie tej opcji gwarantuje, że jeden wynikowy piksel odpowiada dokładnie jednemu surowemu pikselowi.

-s [0..N-1] lub -s all
    Jeżeli plik zawiera N surowych obrazków, wybierz do zdekodowania jeden z nich lub "all" (wszystkie). Przykładowo aparaty Fuji Super CCD SR generują drugi obraz o zmniejszonej o cztery poziomy ekspozycji, na którym dokładniej przedstawione są odbłyski.

PLIKI

./.badpixels, ../.badpixels, ../../.badpixels, ...
    Lista uszkodzonych pikseli Twojego aparatu, używana po to, aby dcraw mógł zinterpolować ich wartość ba podstawie sąsiednich pikseli. Każda linia zawiera kolumnę i wiersz uszkodzonego piksela, oraz datę (w formacie uniksowym), kiedy nastąpiło uszkodzenie. Na przykład:

     962   91 1028350000  # uszkodzony 1. sierpnia 2002
    1285 1067 0           # nieznana data uszkodzenia

    Te współrzędne dotyczą obrazu przed przycięciem oraz obrotem, tak więc użyj polecenia dcraw -j -t 0 aby zlokalizować uszkodzone piksele.

ZOBACZ TAKŻE
pgm(5), ppm(5), pam(5), pnmgamma(1), pnmtotiff(1), pnmtopng(1), gphoto2(1), cjpeg(1), djpeg(1)

AUTOR
dcraw został stworzony przez Davida Coffina, dcoffin a cybercom o net

TŁUMACZENIE
Krzysztof Nowicki krissn a op o pl